terms                 package:stats                 R Documentation

Model Terms

Description:

     The function 'terms' is a generic function which can be used to
     extract _terms_ objects from various kinds of R data objects.

Usage:

     terms(x, ...)

Arguments:

       x: object used to select a method to dispatch.

     ...: further arguments passed to or from other methods.

Details:

     There are methods for classes '"aovlist"', and '"terms"'
     '"formula"' (see 'terms.formula'): the default method just
     extracts the 'terms' component of the object (if any).

Value:

     An object of class 'c("terms", "formula")' which contains the
     _terms_ representation of a symbolic model. See 'terms.object' for
     its structure.

References:

     Chambers, J. M. and Hastie, T. J. (1992) _Statistical models._
     Chapter 2 of _Statistical Models in S_ eds J. M. Chambers and T.
     J. Hastie, Wadsworth & Brooks/Cole.

See Also:

     'terms.object', 'terms.formula', 'lm', 'glm', 'formula'.

